package com.yd.csf.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.common.result.Result;
import com.yd.csf.feign.request.ruleItemconfig.ApiRuleItemConfigAddRequest;
import com.yd.csf.feign.request.ruleItemconfig.ApiRuleItemConfigEditRequest;
import com.yd.csf.feign.request.ruleItemconfig.ApiRuleItemConfigPageRequest;
import com.yd.csf.feign.response.ruleItemconfig.ApiRuleItemConfigDetailResponse;
import com.yd.csf.feign.response.ruleItemconfig.ApiRuleItemConfigPageResponse;

public interface ApiRuleItemConfigService {
    Result<IPage<ApiRuleItemConfigPageResponse>> page(ApiRuleItemConfigPageRequest request);

    Result<ApiRuleItemConfigDetailResponse> detail(String ruleItemBizId);

    Result add(ApiRuleItemConfigAddRequest request);

    Result edit(ApiRuleItemConfigEditRequest request);

    Result del(String ruleItemBizId);
}
